import { defineConfig } from 'astro/config';
import tailwind from '@astrojs/tailwind';
import node from '@astrojs/node';
import preact from "@astrojs/preact";

export default defineConfig({
  site: "https://fuz.dariuszm.eu", 
  output: 'server',
  adapter: node({
    mode: "standalone"
  }),
  server: {
    host: process.env.HOST || '0.0.0.0',
    port: parseInt(process.env.PORT || '4321'),
  },
  integrations: [
    preact(),
    tailwind({
      applyBaseStyles: true
    })
  ]
});
